(*
/*

CLASS {Screen_KOL|_for_projects_mirgated_from_KOL},
UNTESTED:

IMPORT: {Screen}, {Random_soft}, {AL4_form} .

BASE CLASS: {Screen} .


{Random_soft} Randomizer

FUN GetRandSeed ==> INT :
	{Screen_KOL} sd|_global = Get_screen.{Screen_KOL}
	CASE sd.Randomizer == NONE ? sd.Randomizer = {Random_soft} ;
	RESULT = sd.Randomizer.Seed.Low .
	
FUN SetRandSeed(INT Value|_seed) :
	{Screen_KOL} sd|_global = Get_screen.{Screen_KOL}
	CASE sd.Randomizer == NONE ? sd.Randomizer = {Random_soft} ;
	sd.Randomizer.Set_seed({Random_soft}.{seed}(Low= Value)) .
	
FUN Random|_between_0_and_Max_minus_1(
INT Max|imum_value) ==> INT
	:
	{Screen_KOL} sd|_global = Get_screen.{Screen_KOL}
	CASE sd.Randomizer == NONE ? sd.Randomizer = {Random_soft} ;
	RESULT = sd.Randomizer.Next(Max) .
	
FUN GetTickCount ==> INT :
	RESULT = Ticks_from_power_up .
	

END

*/
*)

unit Screen_Delphi;

interface
function GetRandSeed: Integer;
procedure SetRandSeed(Value: Integer);

implementation

function GetRandSeed: Integer;
begin
	Result := RandSeed;
end;

procedure SetRandSeed(Value: Integer);
begin
	RandSeed := Value;
end;


end.
